
Figure - Bug #118424
【IOVDEV-31968】【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏掉电重启中再次掉电重启，
偶现副屏开机会进入未激活的引导界面
2023-06-01 14:11 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-01

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0086.c102����【副屏版本号】：01.00.0100.c103

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause: 100版本上用新的标志位来记录的是否通过点击跳过，95上因为没有这个标志位，所以升级到100后就认为没点击过还会出现未激活界面。

Description

【环境信息】EE环境

【问题出现时间】：20230601 10：03

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.副屏掉电重启

2.重启过程中再次掉电

【实际结果】

1.副屏进入未激活的引导界面

【期望结果】

1.副屏正常进入主界面

【备注】：

偶现问题 第一次遇到

第205次开机

日志、视频地址：https://ofs.human-horizons.com/#/download/index/np35t4cXci8%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0086.c102

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-06-02 11:24 - CDTS-TEST 周婷

- Assignee changed from CD TPM-王祥林 to CD BSP-余霄

#2 - 2023-06-02 18:25 - CD BSP-余霄

- Status changed from New to ASSIGNED

- Assignee changed from CD BSP-余霄 to CD TPM-王祥林
看一下呢，设备开机进入引导界面

#3 - 2023-06-02 20:32 - CD TPM-王祥林

- Category changed from BSP to CD-FW

- Assignee changed from CD TPM-王祥林 to CD FW-廖涛

#4 - 2023-06-05 10:53 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

■ Current conclusion

从日志中的激活状态看，副屏设备是处于非激活状态的。日志如下：

06-01 09:58:03.774  2126  2126 D ActivateDetectionUtil: isDeviceActivate: 0

在第 205 次开机之前，跳过激活的属性值也为 0 （即不跳过激活）。日志如下：

01-01 08:00:11.249  1204  1204 D PackageManager: checkActivateState: 0

在第 205 次的上一次开机，用户是通过连续点击跳过了激活，所以跳过激活属性值变为 1，在第 205 次开机时跳过了激活，进入了桌面。

总结：

从以上日志及现象看，属于正常表现。用户如果是通过工厂模式跳过激活的，在下次开机会再次进入激活引导页面。

■ Next action

和客户确认，是否副屏没有激活。

#5 - 2023-06-06 18:17 - CD TPM-王祥林

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to FIXED

- Root cause set to 100版本上用新的标志位来记录的是否通过点击跳过，95上因为没有这个标志位，所以升级到100后就认为没点击过还会出现未激活界面

。

以下信息已经同步到客户jira系统，内部票可以走关闭流程。

95版本确实是跳过后就不会再出现了。但功能上其实没完善，还有bug，就是未激活状态下通过工厂模式跳过的时候下次开机也不会出现未激活界面，这

个不满足需求。

所以100版本上重新改了一下，未激活状态下通过工厂模式跳过的话还会再出现。而通过点击跳过不会出现。

95升到100后第一次开机还是会出现的原因是，100版本上用新的标志位来记录的是否通过点击跳过，95上因为没有这个标志位，所以升级到100后就认为

没点击过还会出现未激活界面。

理论上100上这个功能才算做完整，所以基于100往后测出的结果比较准确

#6 - 2023-06-08 11:16 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#7 - 2023-06-08 11:17 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files
tlog_iov0201017500006162025411a2212290000000601_000211_0601114206.tar.gz3.57 MB 2023-06-01 CDTS_Test 吴诗雨

tlog_iov0201017500006162025411a2212290000000601_000211_0601114407.tar.gz13.6 MB 2023-06-01 CDTS_Test 吴诗雨

飞书20230601-100612.mp4 13 MB 2023-06-01 CDTS_Test 吴诗雨
